@import '../../assets/styles/common';

.redeem {
  position: relative;
  width: 70%;
  margin: 7rem auto 0;
  border: 2px solid white;
  border-radius: 0 15px 15px;

  &_button {
    width: 20rem;
    padding: 8px 0;
    font-size: 1.8rem;
    text-align: center;
    background-color: $blue-light;
  }

  &__header {
    display: flex;
    align-items: center;
    position: absolute;
    top:-5rem;
    left: -2px;
    height:5rem;
    padding: 0 14rem 0 2rem;
    border-top-left-radius:2rem;
    border-top-right-radius: 2rem;
    font-style: italic;
    font-size: 2.1rem;
    background-color: $blue-light;
  }

  &-info {
    padding: 1.5rem 4rem;

    &-balance {
      display: flex;
      align-items: center;

      &-currency {
        display: flex;
        flex:1;
        padding-bottom: 2rem;

        &__title {
          font-style: italic;
          font-size: 1.8rem;
          color:$blue-light;
        }
      }

      &-info {
        display: flex;
        flex:4;
        justify-content: space-between;
        padding-bottom: 2rem;
        border-bottom: 1px solid #434242;

        &__title {
          padding-right: 1rem;
          font-style: italic;
          color:$blue-light;
        }

        &-flex {
          display: flex;
          align-items: center;
          padding-right: 1rem;
          font-size: 1.8rem;
        }
      }
    }
  }

  &-paypal {
    display: flex;
    padding: 2.5rem 0 1rem;

    &-logo {
      flex:1;
      padding-bottom: 1.5rem;

      &__img {
        max-width: 12rem;
        height: auto;
      }
    }

    &-info {
      display: flex;
      flex-direction: column;
      flex:4;
      align-items: flex-end;
      padding-bottom: 1.5rem;
      border-bottom: 1px solid #434242;

      &__text {
        margin-top: 0;
        margin-bottom: 0;
        font-style: italic;
        font-size: 1.8rem;

        & strong {
          margin-left: 1rem;
          font-style: normal;
        }
      }

      &__edit {
        padding: 1rem 0;
        font-style: italic;
        font-size: 1.6rem;
        text-decoration: underline;
        cursor: pointer;
      }
    }
  }

  &-amount {
    display: flex;
    flex-direction: column;
    padding: 1.5rem 0 0;

    &-container {
      display: flex;
      align-items: center;
      width: 100%;
    }

    &-title-container {
      flex:1;

      &__title {
        display: block;
        padding-bottom: 2rem;
        font-style: italic;
        font-size: 1.8rem;
        color:$blue-light;
      }
    }

    &-info {
      display: flex;
      flex:4;
      align-items: center;
      padding-bottom: 2rem;
      border-bottom: 1px solid #434242;

      &-currency_type {
        margin-left:1rem;
        font-style: italic;
      }
    }

    &-flex-col {
      display: flex;
      flex-direction: column;
      align-items: flex-end;
    }

    &-flex {
      display: flex;
      justify-content: space-between;
      width: 80%;
      padding:.7rem 0;
      border-bottom: 1px solid #434242;

      &-receive {
        display: flex;
        justify-content: flex-end;
        width:calc(100% + 8rem);
        margin-right: -4rem;
        padding: .7rem 0;
        background-color: $blue-light;

        &-text-container {
          display: flex;
          justify-content: space-between;
          box-sizing: border-box;
          width: 80%;
          padding: 0 4rem 0 2.5rem;
        }
      }
    }
  }

  &-footer {
    display: flex;
    justify-content: space-between;
    width: 95%;
    margin: 0 auto;
    padding-top: 2rem;

    &__cancel {
      height: 6rem;
      cursor: pointer;
    }

    &__redeem {
      height: 6rem;
      cursor: pointer;
    }
  }

  @media only screen and (max-width: 1400px) {
    max-width: 100rem;

    &-footer__cancel, &-footer__redeem {
      height: 5rem;
    }

    @media only screen and (max-width: 768px) {
      width: 90%;

      @media only screen and (max-width: 500px) {
        width: 95%;

        &-amount-flex-receive {
          width:calc(100% + 3rem);
          margin-right: -1.5rem;

          &-text-container {
            padding-left: 1rem;
          }
        }

        &-info {
          padding: 1.5rem;
        }
      }
    }
  }
}
